Package org.apache.cayenne.template.parser

# Class SQLTemplateParserTokenManager

java.lang.Object
org.apache.cayenne.template.parser.SQLTemplateParserTokenManager

All Implemented Interfaces:
  `SQLTemplateParserConstants`

public class SQLTemplateParserTokenManager extends Object implements SQLTemplateParserConstants
Token Manager.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected char`
  `curChar`
  `PrintStream`
  `debugStream`
  Debug output.
  `protected JavaCharStream`
  `input_stream`
  `static final int[]`
  `jjnewLexState`
  Lex State array.
  `static final String[]`
  `jjstrLiteralImages`
  Token literal values.
  `static final String[]`
  `lexStateNames`
  Lexer state names.

  ### Fields inherited from interface org.apache.cayenne.template.parser.SQLTemplateParserConstants

  `ARGS, COMMA, DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DOLLAR, DOT, DOUBLE_QUOTED_STRING, ELSE, END, EOF, ESC, EXPONENT, FALSE, FLOAT_LITERAL, FLT_SUFF, IDENTIFIER, IF, IN_SINGLE_LINE_COMMENT, INT_LITERAL, LBRACKET, LETTER, LSBRACKET, NOT_TEXT, RBRACKET, RSBRACKET, SHARP, SINGLE_LINE_COMMENT_END, SINGLE_QUOTED_STRING, STRING_ESC, TEXT, TEXT_OTHER, tokenImage, TRUE, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLTemplateParserTokenManager(JavaCharStream stream)`
  Constructor.
  `SQLTemplateParserTokenManager(JavaCharStream stream, int lexState)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Token`
  `getNextToken()`
  Get the next Token.
  `protected Token`
  `jjFillToken()`
  `void`
  `ReInit(JavaCharStream stream)`
  Reinitialise parser.
  `void`
  `ReInit(JavaCharStream stream, int lexState)`
  Reinitialise parser.
  `void`
  `setDebugStream(PrintStream ds)`
  Set debug output.
  `void`
  `SwitchTo(int lexState)`
  Switch to specified lex state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### debugStream

    public PrintStream debugStream
    Debug output.

  - ### jjstrLiteralImages

    public static final String[] jjstrLiteralImages
    Token literal values.

  - ### lexStateNames

    public static final String[] lexStateNames
    Lexer state names.

  - ### jjnewLexState

    public static final int[] jjnewLexState
    Lex State array.

  - ### input_stream

    protected JavaCharStream input_stream

  - ### curChar

    protected char curChar

- ## Constructor Details

  - ### SQLTemplateParserTokenManager

    public SQLTemplateParserTokenManager(JavaCharStream stream)
    Constructor.

  - ### SQLTemplateParserTokenManager

    public SQLTemplateParserTokenManager(JavaCharStream stream, int lexState)
    Constructor.

- ## Method Details

  - ### setDebugStream

    public void setDebugStream(PrintStream ds)
    Set debug output.

  - ### jjFillToken

    protected Token jjFillToken()

  - ### getNextToken

    public Token getNextToken()
    Get the next Token.

  - ### ReInit

    public void ReInit(JavaCharStream stream)
    Reinitialise parser.

  - ### ReInit

    public void ReInit(JavaCharStream stream, int lexState)
    Reinitialise parser.

  - ### SwitchTo

    public void SwitchTo(int lexState)
    Switch to specified lex state.